Jump to content
You're invited! Join our 4.6 Live Event on ZOOM 6/24 ×

Community

wimg

+Clients
  • Posts

    728
  • Joined

 Content Type 

Profiles

Downloads

IPS4 Providers

Release Notes

IPS4 Guides

IPS4 Developer Documentation

Invision Community Blog

Forums

Store

Everything posted by wimg

  1. Thank you, CoffeeCake, your assistance with this problem is very much appreciated! I'll make sure to follow your instructions! I'll also report back my results here, both on GA, script and pageviews, as on the other scripts. Warm regards, WIm
  2. Ok, thank you. I still want GA to deal with every page, so I guess I should use the GA option for ddynamically generated pages, and then put everything else in the globalTemplate header (Alexa and advert scripts). Correct? My only hassle is that one of the two advert scripts deals with pages on a similar basis as the GA pages - otherwise I will get paid for 1.2 to 2 million views rather than 11.8 million 🙂. Should I try putting it in the GA box, inderneath the GA script, and see what it does? Kind regards, Wim
  3. Thank you, CoffeeCake. I'll switch of Ajax pagination to start with, and check what that will do to GA for pageviews. As to the advertising code: I need to call a piece of standard js, which has to be in the header, and per advert a div with a unique identifier which that js actually knows. This is not Google Adsense, BTW, something different. Neither am I using the default advertising stuff as far as it is part of the ICS. I am actually using a very versatile custom made add-on, which allows me to do a lot more, and have easy control over displaying a variety of adverts, in a variety of positions, forums, apps, member groups, themes, allowing all ads to be switched off or specific ones, etc., etc. This for each advert individually, or for groups of advert, or both. Anyway, what you are basically saying, if I understand it correctly, is to switch of Ajax pagination for GA, and put my advertising javascript code in the headers of each and every theme - exactly that which I wanted to avoid :). I really thought the analytics stuff was goign to help, basically as what it should do, and as far I understand does as well, is place the specific piece of code in the header of each page, where I would want it. Please do correct me if I am wrong. Kind regards, WIm
  4. Thank you for your quick reply, much appreciated! Yes, I have. Should I switch that off? I also have fluid wdth switched on.which is the next option. In addition, the one thereafter, "Javascript include location" is set to "Just before </body> tag". Should I switch this to "Inside the <head>"? Thank you in advance! Kind regards, Wim
  5. Hi All, GA (Google Analytics) currently reports about 1.5 to 2 million pageviews per month for my site, while AWstats actually reports 11.8 million, this with ICS 4.5.4.2. The discrepancy is huge, IOW, a multiple of what it was with 3.4.x, when the factor difference was about 2. On the Analytics page in the ACP, you can actually enter GA code, Matomo, etc. However, it appears to be muttually exclusive because it empties the 2nd and 3rd block when you use any of the other options. Which means the only choice is to use the "Other" field and copy all of your code there. This is needed too, I guess, for advertising scripts and such, which require parts to be in the header. In the past I used to put all of these codes in each theme separately, in the globalTemplate for each theme. Storing these codes in a single, general ACP space is much more convenient, because it does not require you to alter themes over and over again after an update or upgrade.So, I really like the new option to do this :). It appears however, that the different spaces for the different analytics services are mutually exclusive. I also realize there is the option now to add the GA code in a separate space, which is supposed to put it in every generated page - that should get around the reported pageviews problem. However, whenever I try that, the site just hangs. This may be caused because of the other js code I also put in these spaces, or I am maybe overlookign something, but it really only happens upon copying the GA code to that area. Below is the "Other" option in Analytics, with advertising script added. Now, if you add that code to the pagination block as well, you get the following: So, 4 blocks all of a sudden. Now the question rises, where would I have to put what, and do I have to repeat any of the code? Do I put GA code in the top block, and in the 4th from the top, or just at the top? Where do I put any Matomo code? Only in the 2nd block, or in 2nd and 4th? And advertising js, for which I have 2 scripts, where would I put that? Only in the 3rd block, or in 3rd and 4th? Or all different again? Any help with this would greatly be appreciated. Thank you in advance. Kind regards, Wim P.S.: Putting the advertising scripts in block 4 makes the site hang too, even if it is the only place where it is present.
  6. H C, you are a saint as to how patient you are. As to problems I have found so far: What about the triple saves of each classified? What about loss of images if a user edits a classified? Why does it allow to save a classified with added, mandatory fields not filled? Why is there a selection column in ACP f.e. in deleted classifieds which serves no purpose? Still lhave to delete them one by one. Why can I only show 10 classifieds at a time in ACP? Why can I not show a mix of all classifieds over different categories in one view? Etc., etc., etc. I am really getting frustrated waiting for a fix for some of the bugs, let alone essential functionality. I bought 2 copies, one for testing, but I don't need to test, my users do it for me. And they are not happy. Neither am I. I only noticed this stuff was in beta when I installed my copies. How the heck can you actually sell something that is in beta? Come on. BTW, I would call this alpha, not beta. All it does is look pretty, but not much else, and not even that pretty. Andy Milne's Classifieds for 3.4.x worked way better, even though that had a few tiny bugs, and really only because it was noi longer supported for the latest versions of 3.4.x. What a mess. I am deeply disappointed. Regards, Wim
    Works very well indeed. Just one minor point: it installs only for the default theme. This also means that switching to a different theme for deafult requires uninstalling and reinstalling it. Would it be possible to add a theme selector as well, other than the member group selector, in order to make it possible to use with other themes too? Thank you very much in advance! Kind regards, Wim
  7. That is marvelous, thank you. Since you mention PHP-configuration, which variables need to be configured (while we wait for 4.5.5)? I am asking because we have a very large board, (4.3 million posts) with many add-ons, we upgraded from 3.4.8 to 4.5.4, and find that as the only real admin, I need to answer a lot of questions to explain stuff to our memebrs, while in the mean time trying to configure everything correctly and conform our wishes through the ACP. Thank you very much in advance! Kindest regards, Wim
  8. Any solution yet? I am really gettign stupidly annoyed by it. In addiion, I hat losing changes when still typing and or checkign out things. I donn't particularly want to save every few minutes if I am still figurign out what I need to set up. Also, the time-out is way less than 30 minutes on my installation of 4.5.4. Thank you in advance! Kind regards, Wim
  9. Thank you, Steph. Where do I actually report bugs, do you know? I found it actually stores each classified 3 times, and gives an error because it uses the same index values each time. I actually have it in production. It is being sold here in the Market Place, so I expected it to be stable. Thank you in advance! Kindest regards, Wim
  10. It appears there were some crazy characters in the database after the characterset conversion, causing all sorts of troubles trying to install any add-on. That actually got fixed by LazyLoad (suggestion by Invision Support), and thereafter I could install it without a problem. It works just fine now :). Kind regards, Wim
  11. Well, I just managed to fix it - it appeared it didnt like the classifieds directory in the'forum directory. It required a few uninstalls and reinstalls, some database tweaking, and some manual re-input to get it working again, but it does appear to work now :). Thank you for taking the time to reply, much appreciated! Kind regard<s, Wim
  12. Ok, tried to contact InvisionHQ, which is impossible it seems. Anybody an idea on how rot reach him atall? Thank you in advance! Kind regards, Wim
  13. Any ideas when it will work on 4.5.4? It only shows an empty Linux Classifieds directory when clicking on the link.

    Thank you in advance!

    Kind regards, Wim

  14. Well, I bought it, and it does not work right now in 4.5.4, not at all - goes to the dirrectory, and that's it. Anybody having an idea? Kind regards, Wim
  15. Ok, I thought I'd give that a try, regardlkess, without disabling other 3rd party resources. Essentially I removed the out-of date version from the ACP, next removed the old code from the server, and then installed the new version. It threw a no permission error. However, when checking the applications, it was there, approximately in the middle of the app-llst, disabled, completely lined up to the left. Clicking on Permissions allowed me to change permissions, and after saving it disappeared to the uninstalled add-ons section. I could then install it, and it works! Lost all data, however,but at least it is installed now, and appears to be working :). Kind regards, Wim
  16. Thank you, Adriano. I will have to do that at an opportune time tomorrow, as we only went live again an hour or so ago - a month after we went offline .... I'll keep you informed here. 🙂 Kind regards, Wim
  17. Hi Adriano, I cannot upgrade from the 3.4.8 version to the one for 4.5.4. I left database tables and software installed intact, in the hope of an upgrade including data. The error message I received is as follows: ../forum/admin/?app=core&module=marketplace&controller=marketplace&do=install&id=8875&type=install&csrfKey=de5885bca773257391db2887b63864be&confirm=1 Missing: /applications/trackmembers/Application.php and backtrace: #0 /home/fpnadmin/public_html/forum/system/Patterns/ActiveRecord.php(148): IPS\_Application::constructFromData(Array) #1 /home/fpnadmin/public_html/forum/system/Application/Application.php(252): IPS\Patterns\_ActiveRecord::load('trackmembers', 'app_directory', NULL) #2 /home/fpnadmin/public_html/forum/applications/core/modules/admin/marketplace/marketplace.php(812): IPS\_Application::load('trackmembers') #3 /home/fpnadmin/public_html/forum/applications/core/modules/admin/marketplace/marketplace.php(240): IPS\core\modules\admin\marketplace\_marketplace->_installApplication(Array, '/tmp/IPSMPFAFPy...') #4 /home/fpnadmin/public_html/forum/system/Dispatcher/Controller.php(90): IPS\core\modules\admin\marketplace\_marketplace->install() #5 /home/fpnadmin/public_html/forum/applications/core/modules/admin/marketplace/marketplace.php(40): IPS\Dispatcher\_Controller->execute() #6 /home/fpnadmin/public_html/forum/system/Dispatcher/Dispatcher.php(152): IPS\core\modules\admin\marketplace\_marketplace->execute() #7 /home/fpnadmin/public_html/forum/admin/index.php(14): IPS\_Dispatcher->run() #8 {main} I have also tried removing the old application, from ../forum/applications_addon/other/ , but that resulted in the Marketplace greying out and no further action. Could you please tell me how I can go ahead and upgrade to the 4.5.4 version, ideally with the old data intact, or otherwise, if that is not possible, to upgrade at least to the latest version? Thank you very much in advance! Kind regards, Wim
  18. Hi Runar, I just upgraded from 3.4.8 to 4.5.4, and that obviously is where it is goign wrong. It happens with all plugins I am trying to install, and most apps. It could eb caused by teh fact that the datbase was not properly cleared prior to the conversion and upgrade due to a smallisgh databse crash which made it impossible to access the ACP and clean out all old versions of add-ons. Trying to get a handle on that now, will get back with an update as soon as I know more. Kind regards, Wim
  19. Very kind of you. However, if I run Install, it actually throws an error, and gets me out of the ACP to the forum This: Sorry, there is a problem The page you requested does not exist Error code: 1S160/2 Any advice? Kind regards, Wim
  20. Thank you, Adriano. I managed to fix it myself. We had a (smallish) database crash, and as a result we upgraded from MariaSB 10.0 to 10.1, which appeared to fix it, so then to 10.2. However, as the ACP then became unavailable we could not deinstall old apps - that seems to have been the problem. I managed by deleting tables, the directory, and the configuration settings manually. Just that I now need to set it up all over, and that we lost historical data. It is what it is :). At least it is installed now. Cheerio, Wim
  21. Hi Adriano, We used it extensively on 3.4.x, and only just upgraded to 4.5.4, which was successful. However, when clicking the Install button in the Marketplace from our ACP we unfortunately get the following error message: "There was an error installing the resource, please submit a support ticket for further assistance." PHP 7.3, MariaDB 10.2, CentOS 7, IPB 4.5.4 Any suggestions? Thank you in advance! Kind regards, Wim
  22. Sorry to hear that. I hope Zivs'suggestion will help. Kind regards, Wim
  23. Gives an error message when I try to install it. Using 4.5.4, PHP 7.3, MariaDB 10.2. This is the error: Sorry, there is a problem The page you requested does not exist Error code: 1S160/2 This is after clicking the Install button. It throws me out to a page on my forum and does not stay in the ACP either. Any advice? Kind regards, Wim
  24. Basically, went throught the Support option, executed it, and all was fine again. Just wonderign whether you tried that, because it wasn't clear to me whether you did or not. From the ACP: System - Support - Something isn't working correctly and you should have a button to execute there if it finds something wrong. Worked for me. HTH, kind regards, Wim
×
×
  • Create New...

Important Information

We use technologies, such as cookies, to customise content and advertising, to provide social media features and to analyse traffic to the site. We also share information about your use of our site with our trusted social media, advertising and analytics partners. See more about cookies and our Privacy Policy